##
##  kouprey.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         kouprey
Summary:      PEG-Based Parser-Combinator Library for JavaScript
URL:          http://www.deadpixi.com/Deadpixi.COM/Kouprey.html
Vendor:       Rob King
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      CC
Version:      1.6
Release:      20091012

#   list of sources
Source0:      http://www.deadpixi.com/software/kouprey/kouprey-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823
PreReq:       OpenPKG, openpkg >= 20060823
AutoReq:      no
AutoReqProv:  no

%description
    Kouprey is a parser combinator library for JavaScript. It can be
    used to create and run parsers in any JavaScript environment. It
    requires no functionality beyond that specified in ECMAScript.
    Kouprey takes a grammar, specified in JavaScript, and creates a
    Parsing Expression Grammar (PEG) parser. The created parser is then
    used, presumably, to parse whatever it is you wanted to parse.
    Parsers created with Kouprey are reusable. That is, you specify the
    grammar once, create the parser once, and then parse as many pieces
    of input as desired.

%track
    prog kouprey = {
        version   = %{version}
        url       = http://www.deadpixi.com/software/kouprey/
        regex     = kouprey-(\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -n Kouprey

%build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/share/kouprey
    %{l_shtool} install -c -m 644 \
        com/deadpixi/kouprey/kouprey.js \
        doc/Kouprey.html \
        doc/Kouprey.txt \
        $RPM_BUILD_ROOT%{l_prefix}/share/kouprey/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

